# Contributing

Your contributions are always welcome! Keep it sane and in line with the general direction of the list. 

## Guidelines

- Add one link per commit.

- Add one commit per Pull Request.

- Add the link: `- [paper-name](http://example.com/) - A short description ends with a period.` Mentioning authors in description is recommended, if there are too many - mention first 2 and "et al.".

  - Keep descriptions concise, maximum number of characters is 350.

- Add a section if needed.

  - Add the section description.
  - Add the section title to Table of Contents.

- Search previous suggestions before making a new one, as yours may be a duplicate.

- Check your spelling and grammar.

- Remove any trailing whitespace.

- Send a Pull Request with the reason why the paper/article is awesome.

- Make sure the tests are passing.
